Skip to content
Docs
Installs

Get a specific zone install

Get a specific zone install

client.zones.installs.retrieve(stringinstallID, InstallRetrieveParams { zone_id, xClientRequestID } params, RequestOptionsoptions?): Install { id, created_at, package_id, 9 more }
GET/zones/{zone_id}/installs/{install_id}

Get a specific zone install

ParametersExpand Collapse
installID: string
maxLength26
params: InstallRetrieveParams { zone_id, xClientRequestID }
zone_id: string

Path param

xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
Install { id, created_at, package_id, 9 more }
id: string
created_at: string
formatdate-time
package_id: string
package_slug: string
Accepts one of the following:
"pending"
"active"
"deleting"
"failed"
"deleted"
updated_at: string
formatdate-time
inputs?: Record<string, unknown>

Install-specific input values that supplement the package's inputs. Merged with the package's input values to form the complete entities.inputs for entity binding evaluation.

org_id?: string
outputs?: Record<string, unknown>

Resolved output values produced by the provisioner, conforming to the package's Package.outputs.schema. Flat — the provisioner evaluates Package.outputs.bindings against the resolved entity graph.

package_version?: number
zone_id?: string

Get a specific zone install

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

const install = await client.zones.installs.retrieve('install_id', { zone_id: 'zone_id' });

console.log(install.id);
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "package_id": "package_id",
  "package_slug": "package_slug",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "inputs": {
    "client_id": "bar",
    "client_secret": "bar"
  },
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "org_id": "org_id",
  "outputs": {
    "mcp_url": "bar"
  },
  "package_version": 0,
  "zone_id": "zone_id"
}
Returns Examples
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "package_id": "package_id",
  "package_slug": "package_slug",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "inputs": {
    "client_id": "bar",
    "client_secret": "bar"
  },
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "org_id": "org_id",
  "outputs": {
    "mcp_url": "bar"
  },
  "package_version": 0,
  "zone_id": "zone_id"
}